# Technology alerts

## Triggers

Technology alerts are triggered on two cases, representing the two alert types you can set:

There are two types of technology alerts:

* **technology\_added**: when a new technology is detected on a company website
* **technology\_removed**: when a technology is no longer detected on a company website

On the json payload, the **`type`** property allows you to identify the type of alert that has been triggered:

```javascript
{
  "event_id": 458325,
  "timestamp": "2020-04-23T12:25:32.209Z",
  "type": "technology_removed", // <<<< This is where you can identify the alert type
  "alert_name": "Hotjar deleted", 
  "event_verbose": "Wine Central removed Hotjar",
  "domain": "winecentral.co.nz",
  
  ...
```

## Default properties

Both technology\_added and technology\_removed alert types send the same 3 event properties under the "event\_properties" key:

| key                  | type   | options                                                                                  |
| -------------------- | ------ | ---------------------------------------------------------------------------------------- |
| technology\_name     | string | Limited to the technologies listed [here](https://app.purplesonar.com/help/technologies) |
| technology\_domain   | string | Limited to the technologies listed [here](https://app.purplesonar.com/help/technologies) |
| technology\_category | string | Limited to the technologies listed [here](https://app.purplesonar.com/help/technologies) |

### Technology added

```javascript
"event_properties": {
	"technology_name": "Mailchimp"
	"technology_domain": "https://mailchimp.com"
	"technology_category": "marketing"
}
```

### Technology removed

```javascript
"event_properties": {
	"technology_name": "Mailchimp"
	"technology_domain": "https://mailchimp.com"
	"technology_category": "marketing"
}
```

## Payload example

```javascript
{
  "event_id": 458325,
  "timestamp": "2020-04-23T12:25:32.209Z",
  "type": "technology_removed",
  "alert_name": "Hotjar deleted",
  "event_verbose": "Wine Central removed Hotjar",
  "domain": "winecentral.co.nz",
  "event_properties": {
    "technology_name": "Hotjar",
    "technology_domain": "https://www.hotjar.com/",
    "technology_category": "Analytics"
  },
  "company_properties": {
    "company_name": "Wine Central",
    "alexa_rank": null,
    "country": "New Zealand",
    "location": "Albany, Auckland, New Zealand",
    "industry": "Food & Beverages",
    "employees_range": "1-10",
    "social_linkedin_url": "linkedin.com/company/wine-central",
    "social_facebook_url": "/4winecentral",
    "social_twitter_url": null,
    "year_founded": 2013
  }
}
```

## Tracked technologies

For a list of tracked technologies and categories, you might refer to our technologies list in the app: <https://app.purplesonar.com/help/technologies>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.purplesonar.com/alert-properties/technology-alerts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
